import { defineConfig } from '@umijs/max';

export default defineConfig({
  antd: {},
  access: {},
  model: {},
  initialState: {},
  request: {
    // dataField: ''
  },
  layout: {
    title: '商户后台嘻嘻',
    logo: "",
  },

  routes: [
    {
      path: '/',
      redirect: '/home',
    },
    {
      name: "登录",
      path: "/login",
      component: "./Login",
      layout: false
    },
    {
      name: '首页',
      path: '/home',
      component: './Home',
      icon: 'HomeOutlined',
    },
    {
      name: '权限演示',
      path: '/access',
      component: './Access',
    },
    {
      name: ' CRUD 示例',
      path: '/table',
      component: './Table',
    },
    {
      name: "产品列表",
      path: '/product',
      component: './ProductList'
    },
    {
      name: "子账号管理",
      path: '/child_account',
      component: './ChildAccount',
      icon: "TeamOutlined"
    }
  ],
  npmClient: 'pnpm',
});

